Bug 474723 - Add GTC Support
Add GTC Support
Status: CLOSED DUPLICATE of bug 451027
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 19:07 EST by Jacob Hunt
Modified: 2009-02-18 06:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 06:18:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 565065 None None None Never

  None (edit)
Description Jacob Hunt 2008-12-04 19:07:19 EST
Description of problem:

GTC support is unavailable when you choose WPA2 -> PEAP in NetworkManager.
MSCHAP/v2 and CHAP are shown, even though GTC is included in wpa_supplicant.  


Version-Release number of selected component (if applicable):

NetworkManager-gnome-0.7.0-0.12.svn4326.fc10.x86_64
NetworkManager-0.7.0-0.12.svn4326.fc10.x86_64
 

Steps to Reproduce:
1. Select "WPA & WPA2 Enterprise" for wireless security
2. Select "Protected EAP (PEAP)" for authentication
3. GTC in unavailable for Inner Authentication
  
Actual results:

I can chose "MSCHAPv2" or "MD5"

Expected results:

The ability to chose "GTC"

Additional info:

This is basically a copy of bz451027, but since that bug was submitted on Fedora 8 which is close to end of life, I wanted to keep it open since it still doesn't work on Fedora 10.
Comment 1 David Orman 2008-12-19 00:36:38 EST
I also have noticed this issue. I have filed a bug on the Gnome bugtracker, for NetworkManager: http://bugzilla.gnome.org/show_bug.cgi?id=565065

-----------
Hi,

I am trying to use Fedora 10/Intel 5300 on a Aruba based wireless network,
which uses GTC for the inner authentication. I see this option no longer exists
in the version of NM that I have:
NetworkManager-0.7.0-0.12.svn4326.fc10.x86_64.

Out of curiosity, I used GIT to get the latest source (as of Dec. 18, 2008),
and see the following in libnm-util/nm-setting-8021x.c:

 950         { "gtc", NULL, NULL },  // FIXME: implement

So, it appears GTC is not implemented in NM, even though wpa_supplicant
supports it. Are there any patches available that allow this to work? This
seems to be a regression from version 0.6.x (I don't know the exact version I
was using before).

Seeing this comment in the source, it seems to be a known issue. I'm filing it
here as it appears to be in NM proper, not just the distribution specific
version I have. Is the lack of GTC actually the case, and will this be
implemented? Are there any known workarounds other than not using NM?

Respectfully,
David
-----------

This is a relatively common inner authentication option for businesses, support would be highly appreciated!

Cheers,
David
Comment 2 Dan Williams 2009-02-18 06:18:16 EST

*** This bug has been marked as a duplicate of bug 451027 ***

Note You need to log in before you can comment on or make changes to this bug.